return Def.ActorFrame{
  Name= "actor_fe",
  InitCommand= function(self)

	songName = GAMESTATE:GetCurrentSong():GetSongDir();
	
end,
  Def.Quad{
    Name= "actor_ge",
    InitCommand= cmd(visible,false),
    OnCommand= cmd(sleep,1000),
  },
  Def.Quad{
    Name= "actor_he",
    InitCommand= cmd(visible,false),
    OnCommand= function(self)
			checked = false;
			
			curmessage = 1;
			--{beat,message,persists}
                        --Separated the playerfield movements by each section that was after a sleep. -Kid
			messages = {
			{0,'Begin'},
                        {42.553,'First'},
                        {91.475,'Secon'},
                        {137.219,'Third'},
                        {182.938,'Fourt'},
                        {245.0245,'Fifth'},
                        {320.802,'Sixth'},
                        {399.210,'Seven'},
			}
			
			function message_compare(a,b)
				return a[1] < b[1]
			end
			
			if table.getn(messages) > 1 then
				table.sort(messages, message_compare)
			end
			
			self:queuecommand('Update');
			
		end,
    UpdateCommand= function(self)

			if GAMESTATE:GetSongBeat()>=0 and not checked then
				P1 = SCREENMAN:GetTopScreen():GetChild('PlayerP1');
				P2 = SCREENMAN:GetTopScreen():GetChild('PlayerP2');
				checked = true;
				
				if SCREENMAN:GetTopScreen():GetChild('ScoreP1') then
					SCREENMAN:GetTopScreen():GetChild('ScoreP1'):visible(false);
				end
				if SCREENMAN:GetTopScreen():GetChild('ScoreP2') then
					SCREENMAN:GetTopScreen():GetChild('ScoreP2'):visible(false);
				end
				
				----------------------
				-- grab everything? --
				----------------------
				if SCREENMAN:GetTopScreen():GetChild('LifeP1') then LifeP1 = SCREENMAN:GetTopScreen():GetChild('LifeP1') end
				if SCREENMAN:GetTopScreen():GetChild('LifeP2') then LifeP2 = SCREENMAN:GetTopScreen():GetChild('LifeP2') end
				if SCREENMAN:GetTopScreen():GetChild('ScoreP1') then ScoreP1 = SCREENMAN:GetTopScreen():GetChild('ScoreP1') end
				if SCREENMAN:GetTopScreen():GetChild('ScoreP2') then ScoreP2 = SCREENMAN:GetTopScreen():GetChild('ScoreP2') end
				if SCREENMAN:GetTopScreen():GetChild('LifeFrame') then LifeFrame = SCREENMAN:GetTopScreen():GetChild('LifeFrame') end
				if SCREENMAN:GetTopScreen():GetChild('ScoreFrame') then ScoreFrame = SCREENMAN:GetTopScreen():GetChild('ScoreFrame') end
				if SCREENMAN:GetTopScreen():GetChild('Lyrics') then Lyrics = SCREENMAN:GetTopScreen():GetChild('Lyrics') end
				if SCREENMAN:GetTopScreen():GetChild('SongForeground') then SongForeground = SCREENMAN:GetTopScreen():GetChild('SongForeground') end
				if SCREENMAN:GetTopScreen():GetChild('SongBackground') then SongBackground = SCREENMAN:GetTopScreen():GetChild('SongBackground') end
				if SCREENMAN:GetTopScreen():GetChild('Overlay') then Overlay = SCREENMAN:GetTopScreen():GetChild('Overlay') end
				if SCREENMAN:GetTopScreen():GetChild('Underlay') then Underlay = SCREENMAN:GetTopScreen():GetChild('Underlay') end
				
				--------------------------
				-- hide everything? y/n --
				--------------------------
				mod_hideall = true;
				if mod_hideall == true then
					if LifeFrame then LifeFrame:visible(false) end
					if LifeP1 then LifeP1:visible(false) end
					if LifeP2 then LifeP2:visible(false) end
					if ScoreP1 then ScoreP1:visible(false) end
					if ScoreP2 then ScoreP2:visible(false) end
					if SCREENMAN:GetTopScreen():GetChild('BPMDisplay') then SCREENMAN:GetTopScreen():GetChild('BPMDisplay'):visible(false) end
					if Overlay then Overlay:visible(false) end
					if Underlay then Underlay:visible(false) end
					if ScoreFrame then ScoreFrame:visible(false) end
                                        --Hide more things. -Kid
                                        if SCREENMAN:GetTopScreen():GetChild("SongMeterDisplayP1") then SCREENMAN:GetTopScreen():GetChild("SongMeterDisplayP1"):visible(false) end
                                        if SCREENMAN:GetTopScreen():GetChild("SongMeterDisplayP2") then SCREENMAN:GetTopScreen():GetChild("SongMeterDisplayP2"):visible(false) end
                                        if SCREENMAN:GetTopScreen():GetChild("StepsDisplayP1") then SCREENMAN:GetTopScreen():GetChild("StepsDisplayP1"):visible(false) end
                                        if SCREENMAN:GetTopScreen():GetChild("StepsDisplayP2") then SCREENMAN:GetTopScreen():GetChild("StepsDisplayP2"):visible(false) end
                                        if SCREENMAN:GetTopScreen():GetChild('StageDisplay') then SCREENMAN:GetTopScreen():GetChild('StageDisplay'):visible(false) end
                                        if SCREENMAN:GetTopScreen():GetChild('SongTitle') then SCREENMAN:GetTopScreen():GetChild('SongTitle'):visible(false) end
				end
				
			end
			
			local beat = GAMESTATE:GetSongBeat()
			
---------------------------------------------------------------------------------------
----------------------DON'T TOUCH IT KIDDO---------------------------------------------
---------------------------------------------------------------------------------------
			
			disable = false;
			if disable ~= true then
				
				-----------------------
				-- SCREAMING GUMBALL --
				-----------------------
				while curmessage<=table.getn(messages) and GAMESTATE:GetSongBeat()>=messages[curmessage][1] do
					if not messages[curmessage][3] and GAMESTATE:GetSongBeat()>=messages[curmessage][1]+5 then
						curmessage = curmessage+1;
					else
						MESSAGEMAN:Broadcast(messages[curmessage][2]);
						curmessage = curmessage+1;
					end
				end
				
			end
			
			self:sleep(0.02);
			self:queuecommand('Update');
                        
---------------------------------------------------------------------------------------
----------------------END DON'T TOUCH IT KIDDO-----------------------------------------
---------------------------------------------------------------------------------------
			
		end,
  },
  Def.Quad{
    Name= "actor_ie",
    BeginMessageCommand= function(self)--I separated this to ensure no errors happen -Kid.
                        --This had to be changed from _G['P'..pn] to this, but only for here... -Kid
			for pn=1,2 do
				if SCREENMAN:GetTopScreen():GetChild('PlayerP'..pn) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP'..pn):x(SCREEN_CENTER_X);
					SCREENMAN:GetTopScreen():GetChild('PlayerP'..pn):y(SCREEN_CENTER_Y);
                                        SCREENMAN:GetTopScreen():GetChild('PlayerP'..pn):GetChild('Judgment'):visible(false);--Make the judgments + combos hidden. -Kid
                                        SCREENMAN:GetTopScreen():GetChild('PlayerP'..pn):GetChild('Combo'):visible(false);--That's how it's supposed to be. -Kid
-- 					_G['P'..pn]:sleep(13);
--                                         _G['P'..pn]:queuemessage('Unsleep')--42.553 I think you can figure out how I got these values... -Kid
-- 					_G['P'..pn]:sleep(8);
--                                         _G['P'..pn]:queuemessage('Unsleep')--91.475
-- 					_G['P'..pn]:sleep(6);
--                                         _G['P'..pn]:queuemessage('Unsleep')--137.219
-- 					_G['P'..pn]:sleep(8);
--                                         _G['P'..pn]:queuemessage('Unsleep')--182.938
-- 					_G['P'..pn]:sleep(9);
--                                         _G['P'..pn]:queuemessage('Unsleep')--245.0245
-- 					_G['P'..pn]:sleep(15.2);
--                                         _G['P'..pn]:queuemessage('Unsleep')--320.802
-- 					_G['P'..pn]:sleep(16);
--                                         _G['P'..pn]:queuemessage('Unsleep')--399.210
				end
			end
		end,
    FirstMessageCommand= function(self)
    			for pn=1,2 do
				if _G['P'..pn] then
                                        _G['P'..pn]:accelerate(3.5);
					_G['P'..pn]:rotationz(-5);
					_G['P'..pn]:rotationx(-20);
					_G['P'..pn]:addy(60);
					_G['P'..pn]:decelerate(3.5);
					_G['P'..pn]:rotationz(-10);
					_G['P'..pn]:rotationx(-40);
					_G['P'..pn]:addy(60);
                                end
                                
                        end
    end,
    SeconMessageCommand= function(self)
    			for pn=1,2 do
				if _G['P'..pn] then
                                        _G['P'..pn]:accelerate(4);
					_G['P'..pn]:rotationz(5);
					_G['P'..pn]:decelerate(4);
					_G['P'..pn]:rotationz(20);
                                end
                                
                        end
    end,
    ThirdMessageCommand= function(self)
    			for pn=1,2 do
				if _G['P'..pn] then
                                        _G['P'..pn]:accelerate(3);
					_G['P'..pn]:rotationx(-10);
					_G['P'..pn]:decelerate(3);
					_G['P'..pn]:rotationx(20);
                                end
                                
                        end
    end,
    FourtMessageCommand= function(self)
    			for pn=1,2 do
				if _G['P'..pn] then
                                        _G['P'..pn]:accelerate(5);
					_G['P'..pn]:addx(-50);
					_G['P'..pn]:rotationy(-25);
					_G['P'..pn]:decelerate(5);
					_G['P'..pn]:addx(-50);
					_G['P'..pn]:rotationy(-50);
                                end
                                
                        end
    end,
    FifthMessageCommand= function(self)
    			for pn=1,2 do
				if _G['P'..pn] then
                                        _G['P'..pn]:accelerate(4);
					_G['P'..pn]:addy(-50);
					_G['P'..pn]:rotationz(0);
					_G['P'..pn]:rotationx(5);
					_G['P'..pn]:decelerate(4);
					_G['P'..pn]:addy(-50);
					_G['P'..pn]:rotationz(-20);
					_G['P'..pn]:rotationx(-20);
                                end
                                
                        end
    end,
    SixthMessageCommand= function(self)
    			for pn=1,2 do
				if _G['P'..pn] then
                                        _G['P'..pn]:linear(8);
					_G['P'..pn]:rotationx(0);
					_G['P'..pn]:rotationy(0);
					_G['P'..pn]:rotationz(0);
					_G['P'..pn]:x(SCREEN_CENTER_X);
					_G['P'..pn]:y(SCREEN_CENTER_Y);
                                end
                                
                        end
    end,
    SevenMessageCommand= function(self)
    			for pn=1,2 do
				if _G['P'..pn] then
                                        _G['P'..pn]:accelerate(10);
					_G['P'..pn]:z(-300);
					_G['P'..pn]:addy(80);
					_G['P'..pn]:rotationx(-35);
					_G['P'..pn]:decelerate(10);
					_G['P'..pn]:z(-600);
					_G['P'..pn]:addy(80);
					_G['P'..pn]:rotationx(-70);
                                end
                                
                        end
    end,
    OnCommand= cmd(visible,false),
  },
}
