local cond_d_result= GAMESTATE:IsPlayerEnabled(PLAYER_1)

local cond_e_result= GAMESTATE:IsPlayerEnabled(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "actor_f",
  Def.Sprite{
    Name= "actor_g",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -180;wag;effectmagnitude,20,0,0;effectperiod,0.8;zoomx,10;diffusealpha,0;sleep,21.649;
		linear,0.1;diffusealpha,1;zoomx,1;y,SCREEN_CENTER_Y + -135;sleep,(2*0.774)-0.1;linear,0.1;y,SCREEN_CENTER_Y + -92;sleep,(2*0.774)-0.1;linear,0.1;y,SCREEN_CENTER_Y + -48;sleep,(0.774)-0.1;
		linear,0.1;y,SCREEN_CENTER_Y + -4;sleep,(0.774)-0.1;linear,0.1;y,SCREEN_CENTER_Y + 40;sleep,(2*0.774)-0.1;linear,0.5;zoomx,10;diffusealpha,0),
    Texture= "../Ayaze/laser.png",
  },
  Def.Sprite{
    Name= "actor_h",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -135;wag;effectmagnitude,20,0,0;effectperiod,0.8;zoomx,10;diffusealpha,0;sleep,187.425;
		linear,0.1;diffusealpha,1;zoomx,1;linear,6.06;addy,190;sleep,0;zoom,0),
    Texture= "../Ayaze/laser.png",
  },
  Def.ActorFrame{
    Name= "actor_i",
    OnCommand= cmd(fov,38;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,0.5;bob;effectmagnitude,0,3,0;effectperiod,2;sleep,999),
    Def.ActorFrame{
      Name= "actor_j",
      OnCommand= cmd(zoom,2;spin),
      Def.Sprite{
        Name= "actor_k",
        OnCommand= cmd(diffusealpha,0;sleep,63.556;linear,0.2;diffusealpha,1;sleep,1.3;linear,0.2;diffusealpha,0;rainbow),
        Texture= "casting.png",
      },
      Def.Sprite{
        Name= "actor_l",
        OnCommand= cmd(diffusealpha,0;sleep,75.169;linear,0.2;diffusealpha,1;sleep,1.3;linear,0.2;diffusealpha,0;rainbow),
        Texture= "casting.png",
      },
      Def.Sprite{
        Name= "actor_m",
        OnCommand= cmd(diffusealpha,0;sleep,110.007;linear,0.2;diffusealpha,1;sleep,1.3;linear,0.2;diffusealpha,0;rainbow),
        Texture= "casting.png",
      },
      Def.Sprite{
        Name= "actor_n",
        OnCommand= cmd(diffusealpha,0;sleep,153.361;linear,0.2;diffusealpha,1;sleep,1.3;linear,0.2;diffusealpha,0;rainbow),
        Texture= "casting.png",
      },
    },
    Def.Sprite{
      Name= "actor_o",
      Frames= {
        {Frame= 0, Delay= 0.125},
        {Frame= 1, Delay= 0.125},
        {Frame= 2, Delay= 0.125},
        {Frame= 1, Delay= 0.125},
    },
      OnCommand= cmd(zoomy,0;zoomx,2.5;sleep,9.302;bounceend,0.2;zoomx,1;zoomy,1;sleep,21.549-9.302;diffusealpha,0),
      Texture= "../Ayaze/ayaze_idle 3x1.png",
    },
    Def.Sprite{
      Name= "actor_p",
      Frames= {
        {Frame= 0, Delay= 0.066},
        {Frame= 1, Delay= 999},
    },
      AttackCommand= cmd(setstate,0;diffusealpha,1;zoom,1.1;linear,0.2;zoom,1;
			sleep,(1.87*0.774)-0.2;linear,0.1;addy,84;sleep,(2*0.774)-0.1;linear,0.1;addy,84;
			sleep,(0.774)-0.1;linear,0.1;addy,84;sleep,(0.774)-0.1;linear,0.1;addy,88;sleep,(2*0.774);
			bouncebegin,0.2;zoomx,2.5;zoomy,0),
      OnCommand= cmd(addy,-20;zoomx,1;zoomy,1;diffusealpha,0;sleep,21.749;queuecommand,"Attack"),
      Texture= "../Ayaze/ayaze_attacking 2x1.png",
    },
    Def.Sprite{
      Name= "actor_q",
      Frames= {
        {Frame= 0, Delay= 0.125},
        {Frame= 1, Delay= 0.125},
        {Frame= 2, Delay= 0.125},
        {Frame= 1, Delay= 0.125},
    },
      OnCommand= cmd(zoomy,0;zoomx,2.5;sleep,52.660;bounceend,0.2;zoomx,1;zoomy,1;sleep,63.356-52.660;diffusealpha,0),
      Texture= "../Ayaze/ayaze_idle 3x1.png",
    },
    Def.Sprite{
      Name= "actor_r",
      Frames= {
        {Frame= 0, Delay= 0.066},
        {Frame= 1, Delay= 999},
    },
      AttackCommand= cmd(draworder,999;setstate,0;diffusealpha,1;zoom,1.1;linear,0.2;addx,-2;zoom,1;
			sleep,1.3;bouncebegin,0.2;zoomx,2.5;zoomy,0),
      OnCommand= cmd(addx,54;zoomx,1;zoomy,1;diffusealpha,0;sleep,63.556;queuecommand,"Attack"),
      Texture= "../Ayaze/ayaze_spellcard 2x1.png",
    },
    Def.Sprite{
      Name= "actor_s",
      Frames= {
        {Frame= 0, Delay= 0.066},
        {Frame= 1, Delay= 999},
    },
      AttackCommand= cmd(draworder,999;setstate,0;diffusealpha,1;zoom,1.1;linear,0.2;addx,-2;zoom,1;
			sleep,1.3;bouncebegin,0.2;zoomx,2.5;zoomy,0),
      OnCommand= cmd(addx,54;zoomx,1;zoomy,1;diffusealpha,0;sleep,75.169;queuecommand,"Attack"),
      Texture= "../Ayaze/ayaze_spellcard 2x1.png",
    },
    Def.Sprite{
      Name= "actor_t",
      Frames= {
        {Frame= 0, Delay= 0.066},
        {Frame= 1, Delay= 999},
    },
      AttackCommand= cmd(draworder,999;setstate,0;diffusealpha,1;zoom,1.1;linear,0.2;addx,-2;zoom,1;
			sleep,1.3;bouncebegin,0.2;zoomx,2.5;zoomy,0),
      OnCommand= cmd(addx,54;zoomx,1;zoomy,1;diffusealpha,0;sleep,110.007;queuecommand,"Attack"),
      Texture= "../Ayaze/ayaze_spellcard 2x1.png",
    },
    Def.Sprite{
      Name= "actor_u",
      Frames= {
        {Frame= 0, Delay= 0.066},
        {Frame= 1, Delay= 999},
    },
      AttackCommand= cmd(draworder,999;setstate,0;diffusealpha,1;zoom,1.1;linear,0.2;addx,-2;zoom,1;
			sleep,1.3;bouncebegin,0.2;zoomx,2.5;zoomy,0),
      OnCommand= cmd(addx,54;zoomx,1;zoomy,1;diffusealpha,0;sleep,153.361;queuecommand,"Attack"),
      Texture= "../Ayaze/ayaze_spellcard 2x1.png",
    },
    LoadActor('../Ayaze/ayaze_hurt.lua') .. {
      Name= "actor_v",
      File= "../Ayaze/ayaze_hurt.lua",
      OnCommand= cmd(zoom,0;sleep,94.524-0.06;zoom,0.8;decelerate,1.7;addx,150;rotationy,2520-1080;sleep,0.384*2;bouncebegin,0.2;zoomx,2.5;zoomy,0),
    },
    Def.Sprite{
      Name= "actor_w",
      OnCommand= cmd(y,SCREEN_CENTER_Y + -260;zoom,0;sleep,94.524-0.06;zoom,2.8;decelerate,1.7;addx,-150;sleep,0.384*2;bouncebegin,0.2;zoomx,2.5*1.4;zoomy,0),
      Texture= "../Ayaze/yukari.png",
    },
    LoadActor('../Ayaze/ayaze_hurt.lua') .. {
      Name= "actor_x",
      File= "../Ayaze/ayaze_hurt.lua",
      OnCommand= cmd(zoom,0;sleep,140.974-0.06;zoom,1;decelerate,2.5;rotationy,2520-720;sleep,0.384/2;bouncebegin,0.2;zoomx,2.5;zoomy,0),
    },
    Def.Sprite{
      Name= "actor_y",
      Frames= {
        {Frame= 0, Delay= 0.066},
        {Frame= 1, Delay= 999},
    },
      AttackCommand= cmd(setstate,0;diffusealpha,1;zoom,1.1;linear,0.2;zoom,1;sleep,153.361-145.619+0.06-0.2;diffusealpha,0),
      OnCommand= cmd(addy,-20;zoomx,1;zoomy,1;diffusealpha,0;sleep,145.619-0.06;queuecommand,"Attack"),
      Texture= "../Ayaze/ayaze_attacking 2x1.png",
    },
    LoadActor('../Ayaze/ayaze_hurt.lua') .. {
      Name= "actor_z",
      File= "../Ayaze/ayaze_hurt.lua",
      OnCommand= cmd(zoom,0;sleep,175.038-0.06;zoom,1;decelerate,3;rotationy,2520-720;sleep,0.384;bouncebegin,0.2;zoomx,2.5;zoomy,0),
    },
    Def.Sprite{
      Name= "actor_ab",
      Frames= {
        {Frame= 0, Delay= 0.125},
        {Frame= 1, Delay= 0.125},
        {Frame= 2, Delay= 0.125},
        {Frame= 1, Delay= 0.125},
    },
      OnCommand= cmd(zoomy,0;zoomx,2.5;sleep,181.231-0.06;bounceend,0.2;zoomx,1;zoomy,1;sleep,(193.618-181.231-0.2)-(0.774*8);diffusealpha,0),
      Texture= "../Ayaze/ayaze_idle 3x1.png",
    },
    Def.Sprite{
      Name= "actor_bb",
      Frames= {
        {Frame= 0, Delay= 0.066},
        {Frame= 1, Delay= 999},
    },
      AttackCommand= cmd(setstate,0;diffusealpha,1;zoom,1.1;linear,0.2;zoom,1;linear,(0.774*8)-0.2;addy,380;sleep,0;diffusealpha,0),
      OnCommand= cmd(addy,-20;zoomx,1;zoomy,1;diffusealpha,0;sleep,187.425-0.06;queuecommand,"Attack"),
      Texture= "../Ayaze/ayaze_attacking 2x1.png",
    },
    LoadActor('../Ayaze/ayaze_hurt.lua') .. {
      Name= "actor_cb",
      File= "../Ayaze/ayaze_hurt.lua",
      OnCommand= cmd(zoom,0;sleep,193.618-0.06;zoom,1;decelerate,3.5;rotationy,2520-720;
			sleep,0.384;linear,1.5;rotationx,-90;sleep,0;x,SCREEN_CENTER_X + -9320),
    },
  },
  optional_actor(cond_d_result,
  Def.Sprite{
    Name= "actor_db",
    OnCommand= cmd(vertalign,top;x,SCREEN_CENTER_X + -180;y,SCREEN_CENTER_Y + -180;zoom,0;sleep,131.676-0.06;bounceend,0.2;zoom,0.4;
		sleep,0.384*6;linear,0.3;diffusealpha,0),
    Texture= "path.png",
  }),
  optional_actor(cond_e_result,
  Def.Sprite{
    Name= "actor_eb",
    OnCommand= cmd(vertalign,top;x,SCREEN_CENTER_X + 180;y,SCREEN_CENTER_Y + -180;zoom,0;sleep,131.676-0.06;bounceend,0.2;zoom,0.4;
		sleep,0.384*6;linear,0.3;diffusealpha,0),
    Texture= "path.png",
  }),
  Def.Quad{
    Name= "actor_fb",
    InitCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT;diffuse,color('#FF0000FF');diffusealpha,0),
    OnCommand= cmd(draworder,9999;sleep,94.524-0.06;diffusealpha,1;linear,0.5;diffusealpha,0),
  },
  Def.Quad{
    Name= "actor_gb",
    InitCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT;diffuse,color('#FF0000FF');diffusealpha,0),
    OnCommand= cmd(draworder,9999;sleep,140.974-0.06;diffusealpha,1;linear,0.5;diffusealpha,0),
  },
  Def.Quad{
    Name= "actor_hb",
    InitCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT;diffuse,color('#FF0000FF');diffusealpha,0),
    OnCommand= cmd(draworder,9999;sleep,175.038-0.06;diffusealpha,1;linear,0.5;diffusealpha,0),
  },
}
