return Def.ActorFrame{
  Name= "actor_rc",
  InitCommand= function(self)

	songName = GAMESTATE:GetCurrentSong():GetSongDir();
	
end,
  Def.Quad{
    Name= "actor_sc",
    InitCommand= cmd(visible,true),
    OnCommand= cmd(sleep,1000),
  },
  Def.Quad{
    Name= "actor_tc",
    InitCommand= cmd(visible,true),
    OnCommand= function(self)
			checked = false;
			
			curmessage = 1;
			--{beat,message,persists}
			messages = {
			{168,'Popup'},
			{201,'Wrap'},
			{232,'Rotation'},
			{287.978,'Countdown1'},
			{295.978,'Countdown2'},
			{303.978,'Countdown3'},
			{311.978,'Countdown4'},
			{340,'Wag'},
			{362,'StopWag'},
			{367.978,'Countdown5'},
			{375.978,'Countdown6'},
			{384,'Rotation2'},
			}
			
			function message_compare(a,b)
				return a[1] < b[1]
			end
			
			if table.getn(messages) > 1 then
				table.sort(messages, message_compare)
			end
			
			self:queuecommand('Update');
			
		end,
    UpdateCommand= function(self)

			if GAMESTATE:GetSongBeat()>=0 and not checked then
				P1 = SCREENMAN:GetTopScreen():GetChild('PlayerP1');
				P2 = SCREENMAN:GetTopScreen():GetChild('PlayerP2');
				checked = true;
				
				if SCREENMAN:GetTopScreen():GetChild('ScoreP1') then
					SCREENMAN:GetTopScreen():GetChild('ScoreP1'):visible(false);
                                        --Let's not get squished closer together. -Kid
                                        P1XPos = SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetX();
                                        --For Simply Love (and those like it.). -Kid
                                        if SCREENMAN:GetTopScreen():GetChild('Underlay').GetChild then
                                            SCREENMAN:GetTopScreen():GetChild('Underlay'):GetChild('P1Score'):visible(false)
                                        end
				end
				if SCREENMAN:GetTopScreen():GetChild('ScoreP2') then
					SCREENMAN:GetTopScreen():GetChild('ScoreP2'):visible(false);
                                        --Let's not get squished closer together. -Kid
                                        P2XPos = SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetX();
                                        if SCREENMAN:GetTopScreen():GetChild('Underlay').GetChild then
                                            SCREENMAN:GetTopScreen():GetChild('Underlay'):GetChild('P2Score'):visible(false)
                                        end
				end
				
			end
			
			local beat = GAMESTATE:GetSongBeat()
			
---------------------------------------------------------------------------------------
----------------------DON'T TOUCH IT KIDDO---------------------------------------------
---------------------------------------------------------------------------------------
			
			disable = false;
			if disable ~= true then
				
				-----------------------
				-- SCREAMING GUMBALL --
				-----------------------
				while curmessage<=table.getn(messages) and GAMESTATE:GetSongBeat()>=messages[curmessage][1] do
					if not messages[curmessage][3] and GAMESTATE:GetSongBeat()>=messages[curmessage][1]+5 then
						curmessage = curmessage+1;
					else
						MESSAGEMAN:Broadcast(messages[curmessage][2]);
						curmessage = curmessage+1;
					end
				end
				
			end
			
			self:sleep(0.02);
			self:queuecommand('Update');

---------------------------------------------------------------------------------------
----------------------END DON'T TOUCH IT KIDDO-----------------------------------------
---------------------------------------------------------------------------------------
			
		end,
  },
  Def.Quad{
    Name= "actor_uc",
    OnCommand= cmd(visible,true),
    PopupMessageCommand= function(self)
			if P1 then
				P1:x(SCREEN_CENTER_X + -320 -42);
				P1:y(649);
				P1:rotationz(22);
				P1:decelerate(0.774193548);
				P1:x(SCREEN_CENTER_X + -320 + 118);
				P1:y(353);
				P1:sleep(0.387096774);
				P1:rotationz(0);
				P1:x(-9999);
				P1:y(240);
				P1:sleep(2.5*0.774193548);
				P1:x(SCREEN_CENTER_X + -320 + 114);
				P1:y(-219);
				P1:rotationz(-22);
				P1:decelerate(0.774193548);
				P1:x(SCREEN_CENTER_X + -320 + 251);
				P1:y(125);
				P1:sleep(0.387096774);
				P1:rotationz(0);
				P1:x(-9999);
				P1:y(240);
				P1:sleep(2.5*0.774193548);
				P1:x(SCREEN_CENTER_X + -320 + -210);
				P1:y(241);
				P1:rotationz(90);
				P1:decelerate(0.774193548);
				P1:x(SCREEN_CENTER_X + -320 + 190);
				P1:y(241);
				P1:sleep(0.387096774);
				P1:rotationz(0);
				P1:x(-9999);
				P1:y(240);
				P1:sleep(2.5*0.774193548);
				P1:x(SCREEN_CENTER_X + -320 + -42);
				P1:y(649);
				P1:rotationz(22);
				P1:decelerate(0.387096774);
				P1:x(SCREEN_CENTER_X + -320 + 118);
				P1:y(280);
				P1:accelerate(0.387096774);
				P1:x(SCREEN_CENTER_X + -320 + -42);
				P1:y(649);
				P1:sleep(2*0.387096774);
				P1:x(SCREEN_CENTER_X + -320 + -42);
				P1:y(649);
				P1:rotationz(22);
				P1:decelerate(0.387096774);
				P1:x(SCREEN_CENTER_X + -320 + 118);
				P1:y(280);
				P1:sleep(0.387096774);
				P1:linear(0.387096774*2);
				P1:rotationz(0);
				P1:x(P1XPos);--Using original positioning (used to be 160). -Kid
				P1:y(240);
				P1:rotationz(0);
				P1:x(P1XPos);--Using original positioning (used to be 160). -Kid
				P1:y(240);
				P1:sleep(0.387096774);
			end
			
			if P2 then
				P2:rotationz(0);
				P2:x(9999);
				P2:y(240);
				P2:sleep(2*0.774193548);
				P2:x(SCREEN_CENTER_X + -320 + 758);
				P2:y(617);
				P2:rotationz(-18);
				P2:decelerate(0.774193548);
				P2:x(SCREEN_CENTER_X + -320 + 530);
				P2:y(322);
				P2:sleep(0.387096774);
				P2:rotationz(0);
				P2:x(9999);
				P2:y(240);
				P2:sleep(2.5*0.774193548);
				P2:x(SCREEN_CENTER_X + -320 + 503);
				P2:y(-200);
				P2:rotationz(22);
				P2:decelerate(0.774193548);
				P2:x(SCREEN_CENTER_X + -320 + 390);
				P2:y(153);
				P2:sleep(0.387096774);
				P2:rotationz(0);
				P2:x(9999);
				P2:y(240);
				P2:sleep(2.5*0.774193548);
				P2:x(SCREEN_CENTER_X + -320 + 820);
				P2:y(341);
				P2:rotationz(-90);
				P2:decelerate(0.774193548);
				P2:x(SCREEN_CENTER_X + -320 + 430);
				P2:y(341);
				P2:sleep(0.387096774);
				P2:rotationz(0);
				P2:x(9999);
				P2:y(240);
				P2:sleep(1.5*0.774193548);
				P2:x(SCREEN_CENTER_X + -320 + 758);
				P2:y(617);
				P2:rotationz(-18);
				P2:decelerate(0.387096774);
				P2:x(SCREEN_CENTER_X + -320 + 530);
				P2:y(322);
				P2:accelerate(0.387096774);
				P2:x(SCREEN_CENTER_X + -320 + 758);
				P2:y(617);
				P2:sleep(1*0.387096774);
				P2:x(SCREEN_CENTER_X + -320 + 758);
				P2:y(617);
				P2:rotationz(-18);
				P2:decelerate(0.387096774);
				P2:x(SCREEN_CENTER_X + -320 + 530);
				P2:y(322);
				P2:sleep(0);
				P2:linear(0.387096774*2);
				P2:rotationz(0);
				P2:x(P2XPos);--Using poriginal positioning. -Kid
				P2:y(240);
				P2:rotationz(0);
				P2:x(P2XPos);--Using poriginal positioning. -Kid
				P2:y(240);
				P2:sleep(0.387096774);
			end
			
		end,
    Rotation2MessageCommand= function(self)
			if P1 then
				P1:decelerate(60/155);
				P1:rotationx(math.random(-30,30)-360);
				P1:rotationy(math.random(-30,30));
				P1:rotationz(math.random(-30,30));
				P1:sleep(60/155); 
				P1:decelerate(60/155);
				P1:rotationx(math.random(-30,30));
				P1:rotationy(math.random(-30,30));
				P1:rotationz(math.random(-30,30));
				P1:sleep(60/155); 
				P1:decelerate(60/155);
				P1:rotationx(math.random(-30,30)-360);
				P1:rotationy(math.random(-30,30));
				P1:rotationz(math.random(-30,30));
				P1:sleep(60/155); 
				P1:decelerate(60/155);
				P1:rotationx(math.random(-30,30));
				P1:rotationy(math.random(-30,30));
				P1:rotationz(math.random(-30,30));
				P1:sleep(60/155); 
				P1:decelerate(60/155);
				P1:rotationx(math.random(-30,30)-360);
				P1:rotationy(math.random(-30,30));
				P1:rotationz(math.random(-30,30));
				P1:sleep(60/155); 
				P1:decelerate(60/155);
				P1:rotationx(math.random(-30,30));
				P1:rotationy(math.random(-30,30));
				P1:rotationz(math.random(-30,30));
				P1:sleep(60/155); 
				P1:decelerate(60/155);
				P1:rotationx(math.random(-30,30)-360);
				P1:rotationy(math.random(-30,30));
				P1:rotationz(math.random(-30,30));
				P1:sleep(60/155); 
				P1:decelerate(60/155);
				P1:rotationx(math.random(-30,30));
				P1:rotationy(math.random(-30,30));
				P1:rotationz(math.random(-30,30));
				P1:sleep(60/155); 
				P1:decelerate(60/155);
				P1:rotationx(0); 
				P1:rotationy(0); 
				P1:rotationz(0); 
			end
			if P2 then
				P2:decelerate(60/155);
				P2:rotationx(math.random(-30,30)-360);
				P2:rotationy(math.random(-30,30));
				P2:rotationz(math.random(-30,30));
				P2:sleep(60/155); 
				P2:decelerate(60/155);
				P2:rotationx(math.random(-30,30));
				P2:rotationy(math.random(-30,30));
				P2:rotationz(math.random(-30,30));
				P2:sleep(60/155); 
				P2:decelerate(60/155);
				P2:rotationx(math.random(-30,30)-360);
				P2:rotationy(math.random(-30,30));
				P2:rotationz(math.random(-30,30));
				P2:sleep(60/155); 
				P2:decelerate(60/155);
				P2:rotationx(math.random(-30,30));
				P2:rotationy(math.random(-30,30));
				P2:rotationz(math.random(-30,30));
				P2:sleep(60/155); 
				P2:decelerate(60/155);
				P2:rotationx(math.random(-30,30)-360);
				P2:rotationy(math.random(-30,30));
				P2:rotationz(math.random(-30,30));
				P2:sleep(60/155); 
				P2:decelerate(60/155);
				P2:rotationx(math.random(-30,30));
				P2:rotationy(math.random(-30,30));
				P2:rotationz(math.random(-30,30));
				P2:sleep(60/155); 
				P2:decelerate(60/155);
				P2:rotationx(math.random(-30,30)-360);
				P2:rotationy(math.random(-30,30));
				P2:rotationz(math.random(-30,30));
				P2:sleep(60/155); 
				P2:decelerate(60/155);
				P2:rotationx(math.random(-30,30));
				P2:rotationy(math.random(-30,30));
				P2:rotationz(math.random(-30,30));
				P2:sleep(60/155); 
				P2:decelerate(60/155);
				P2:rotationx(0); 
				P2:rotationy(0); 
				P2:rotationz(0); 
			end
		end,
    RotationMessageCommand= function(self)
			if P1 then
				P1:decelerate(60/155);
				P1:rotationx(math.random(-30,30));
				P1:rotationy(math.random(-30,30));
				P1:rotationz(math.random(-30,30));
				P1:sleep(60/155); 
				P1:decelerate(60/155);
				P1:rotationx(math.random(-30,30));
				P1:rotationy(math.random(-30,30));
				P1:rotationz(math.random(-30,30));
				P1:sleep(60/155); 
				P1:decelerate(60/155);
				P1:rotationx(math.random(-30,30));
				P1:rotationy(math.random(-30,30));
				P1:rotationz(math.random(-30,30));
				P1:sleep(60/155); 
				P1:decelerate(60/155);
				P1:rotationx(math.random(-30,30));
				P1:rotationy(math.random(-30,30));
				P1:rotationz(math.random(-30,30));
				P1:sleep(60/155); 
				P1:decelerate(60/155);
				P1:rotationx(math.random(-30,30));
				P1:rotationy(math.random(-30,30));
				P1:rotationz(math.random(-30,30));
				P1:sleep(60/155); 
				P1:decelerate(60/155);
				P1:rotationx(math.random(-30,30));
				P1:rotationy(math.random(-30,30));
				P1:rotationz(math.random(-30,30));
				P1:sleep(60/155); 
				P1:decelerate(60/155);
				P1:rotationx(0); 
				P1:rotationy(0); 
				P1:rotationz(0); 
			end
			if P2 then
				P2:decelerate(60/155);
				P2:rotationx(math.random(-30,30));
				P2:rotationy(math.random(-30,30));
				P2:rotationz(math.random(-30,30));
				P2:sleep(60/155); 
				P2:decelerate(60/155);
				P2:rotationx(math.random(-30,30));
				P2:rotationy(math.random(-30,30));
				P2:rotationz(math.random(-30,30));
				P2:sleep(60/155); 
				P2:decelerate(60/155);
				P2:rotationx(math.random(-30,30));
				P2:rotationy(math.random(-30,30));
				P2:rotationz(math.random(-30,30));
				P2:sleep(60/155); 
				P2:decelerate(60/155);
				P2:rotationx(math.random(-30,30));
				P2:rotationy(math.random(-30,30));
				P2:rotationz(math.random(-30,30));
				P2:sleep(60/155); 
				P2:decelerate(60/155);
				P2:rotationx(math.random(-30,30));
				P2:rotationy(math.random(-30,30));
				P2:rotationz(math.random(-30,30));
				P2:sleep(60/155); 
				P2:decelerate(60/155);
				P2:rotationx(math.random(-30,30));
				P2:rotationy(math.random(-30,30));
				P2:rotationz(math.random(-30,30));
				P2:sleep(60/155); 
				P2:decelerate(60/155);
				P2:rotationx(0); 
				P2:rotationy(0); 
				P2:rotationz(0); 
			end
		end,
    StopWagMessageCommand= function(self)
			if P1 then
				P1:stopeffect();
				P1:rotationx(80);
				P1:linear(120/155);
				P1:rotationx(0);
			end
			if P2 then
				P2:stopeffect();
				P2:linear(120/155);
				P2:rotationx(0);
			end
		end,
    WagMessageCommand= function(self)
			if P1 then
				P1:rotationx(40);
				P1:wag();
				P1:effectmagnitude(40,0,0);
				P1:effectclock('bgm');
				P1:effectperiod(2);
			end
			if P2 then
				P2:rotationx(40);
				P2:wag();
				P2:effectmagnitude(-40,0,0);
				P2:effectclock('bgm');
				P2:effectperiod(2);
			end
		end,
    WrapMessageCommand= function(self)
			if P1 then
				P1:x(SCREEN_CENTER_X);
				P1:linear(240/155);
				P1:x(SCREEN_WIDTH+128);
				P1:sleep(0);
				P1:x(0-128);
				P1:linear(240/155);
				P1:x(SCREEN_CENTER_X);
				P1:x(SCREEN_CENTER_X);
				P1:linear(240/155);
				P1:x(SCREEN_WIDTH+128);
				P1:sleep(0);
				P1:x(0-128);
				P1:linear(240/155);
				P1:x(SCREEN_CENTER_X);
				P1:x(SCREEN_CENTER_X);
				P1:linear(240/155);
				P1:x(SCREEN_WIDTH+128);
				P1:sleep(0);
				P1:x(0-128);
				P1:linear(240/155);
				P1:x(SCREEN_CENTER_X);
				P1:x(SCREEN_CENTER_X);
				P1:linear(240/155);
				P1:x(SCREEN_WIDTH+128);
				P1:sleep(0);
				P1:x(0-128);
				P1:linear(180/155);
				P1:x((SCREEN_CENTER_X)*(3/4));
				P1:sleep(0);
				P1:x(P1XPos);--Using original position. -Kid
			end
			if P2 then
				P2:x(0-128);
				P2:linear(480/155);
				P2:x(SCREEN_WIDTH+128);
				P2:sleep(0);
				P2:x(0-128);
				P2:x(0-128);
				P2:linear(480/155);
				P2:x(SCREEN_WIDTH+128);
				P2:sleep(0);
				P2:x(0-128);
				P2:x(0-128);
				P2:linear(480/155);
				P2:x(SCREEN_WIDTH+128);
				P2:sleep(0);
				P2:x(0-128);
				P2:x(0-128);
				P2:linear((60*7)/155);
				P2:x((SCREEN_WIDTH+128)*(7/8));
				P2:sleep(0);
				P2:x(0-128);
				P2:sleep(0);
				P2:x(P2XPos);--Using original position. -Kid
			end
		end,
  },
  LoadActor('Countdown.lua') .. {
    Name= "actor_vc",
    Countdown1MessageCommand= cmd(playcommand,"Start"),
    File= "Countdown.lua",
  },
  LoadActor('Countdown.lua') .. {
    Name= "actor_wc",
    Countdown2MessageCommand= cmd(playcommand,"Start"),
    File= "Countdown.lua",
  },
  LoadActor('Countdown.lua') .. {
    Name= "actor_xc",
    Countdown3MessageCommand= cmd(playcommand,"Start"),
    File= "Countdown.lua",
  },
  LoadActor('Countdown.lua') .. {
    Name= "actor_yc",
    Countdown4MessageCommand= cmd(playcommand,"Start"),
    File= "Countdown.lua",
  },
  LoadActor('Countdown.lua') .. {
    Name= "actor_zc",
    Countdown5MessageCommand= cmd(playcommand,"Start"),
    File= "Countdown.lua",
  },
  LoadActor('Countdown.lua') .. {
    Name= "actor_ad",
    Countdown6MessageCommand= cmd(playcommand,"Start"),
    File= "Countdown.lua",
  },
}
