return Def.ActorFrame{
  Name= "actor_r",
  BounceCommand= cmd(bounce;effectmagnitude,0,-5,0;effectclock,"bgm";effectperiod,1),
  OnCommand= cmd(queuecommand,"Bounce";sleep,9.6;queuecommand,"Stop";rotationz,20;queuecommand,"Vibrate";sleep,0.3;queuecommand,"Stop"),
  StopCommand= cmd(stopeffect),
  VibrateCommand= cmd(vibrate),
  Def.Sprite{
    Name= "actor_s",
    OnCommand= cmd(x,SCREEN_CENTER_X + 640;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X + 0;sleep,15.2),
    Texture= "../effects/frame.png",
  },
  Def.Sprite{
    Name= "actor_t",
    OnCommand= cmd(blend,"BlendMode_NoEffect";zwrite,1;clearzbuffer,1;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0),
    Texture= "../effects/mask.png",
  },
  Def.ActorFrame{
    Name= "actor_u",
    Def.Sprite{
      Name= "actor_v",
      OnCommand= cmd(y,SCREEN_CENTER_Y + -70;ztest,1;horizalign,left;x,SCREEN_CENTER_X + -254;addx,14;linear,9.6;addx,-3200;linear,0.9;addx,-300;diffusealpha,0),
      Texture= "../effects/chart2.png",
    },
  },
  Def.ActorFrame{
    Name= "actor_w",
    OnCommand= cmd(x,SCREEN_CENTER_X-233;y,SCREEN_CENTER_Y-82;zoom,.6;rotationx,-20),
    VanishX= SCREEN_CENTER_X-160,
    VanishY= SCREEN_CENTER_Y+40,
    Def.Sprite{
      Name= "actor_x",
      OnCommand= cmd(y,SCREEN_CENTER_Y + -233;sleep,15.2),
      Texture= "../effects/platform.png",
    },
    Def.Sprite{
      Name= "actor_y",
      NoteCrossedLeftMessageCommand= cmd(finishtweening;diffusealpha,1;zoom,1.1;linear,0.2;zoom,1;diffusealpha,0),
      OnCommand= cmd(x,SCREEN_CENTER_X + -365;blend,"BlendMode_Add";diffusealpha,0),
      Texture= "../effects/panelglow.png",
    },
    Def.Sprite{
      Name= "actor_z",
      NoteCrossedRightMessageCommand= cmd(finishtweening;diffusealpha,1;zoom,1.1;linear,0.2;zoom,1;diffusealpha,0),
      OnCommand= cmd(x,SCREEN_CENTER_X + -275;blend,"BlendMode_Add";diffusealpha,0),
      Texture= "../effects/panelglow.png",
    },
    Def.Sprite{
      Name= "actor_A",
      NoteCrossedUpMessageCommand= cmd(finishtweening;diffusealpha,1;zoom,1.1;linear,0.2;zoom,1;diffusealpha,0),
      OnCommand= cmd(y,SCREEN_CENTER_Y + -285;blend,"BlendMode_Add";diffusealpha,0),
      Texture= "../effects/panelglow.png",
    },
    Def.Sprite{
      Name= "actor_B",
      NoteCrossedDownMessageCommand= cmd(finishtweening;diffusealpha,1;zoom,1.1;linear,0.2;zoom,1;diffusealpha,0),
      OnCommand= cmd(y,SCREEN_CENTER_Y + -195;blend,"BlendMode_Add";diffusealpha,0),
      Texture= "../effects/panelglow.png",
    },
  },
}
