local cond_fi_result= GAMESTATE:IsHumanPlayer(PLAYER_1)

local cond_gi_result= GAMESTATE:IsHumanPlayer(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "actor_hi",
  Def.Quad{
    Name= "actor_ii",
    InitCommand= cmd(visible,true),
    OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+9;zoomtowidth,SCREEN_WIDTH;sleep,300),
  },
  Def.Quad{
    Name= "actor_ji",
    InitCommand= cmd(visible,true),
    OnCommand= function(self)
			
			fgcurcommand = 1;
			
			-- SOUND VARIABLES --
			song = SONGMAN:FindSong(GAMESTATE:GetCurrentSong():GetDisplayFullTitle());
			path = song:GetSongDir();
			
			--steptable = {};
			
			self:queuecommand('Update');
		end,
    Update2Command= function(self)
		self:sleep(0.0166666666);
		self:queuecommand('Update');
		end,
    UpdateCommand= function(self)
		
			if GAMESTATE:GetSongBeat()>=0 and fgcurcommand == 1 then
				screen = SCREENMAN:GetTopScreen();
				for i=1,2 do
					_G['P'..i] = nil;
					_G['P'..i] = screen:GetChild('PlayerP'..i);
				end
				HidePlayerSteps();
				
				for i = 0,1 do
					if GAMESTATE:IsHumanPlayer(i) then
						local p = i+1;
						_G['speedp'..p] = FindSpeedMod('P'..tostring(p));
					end
				end
				
				musicrate = FindRateMod();
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			UpdatePlayfields();
			
			for i=1,2 do
				if GAMESTATE:IsHumanPlayer(i-1) then
					if _G['curnotep'..i] <= table.getn(_G['arrowtablep'..i]) and GAMESTATE:GetSongBeat() >= _G['arrowtablep'..i][_G['curnotep'..i]][1]-(6/_G['speedp'..i]) then
						ActivateNote(i,_G['arrowtablep'..i][_G['curnotep'..i]][1],_G['arrowtablep'..i][_G['curnotep'..i]][2]);
						_G['curnotep'..i] = _G['curnotep'..i] + 1;
					end
				end
			end
			
			self:queuecommand('Update2');
		end,
  },
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_ki",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_li",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_mi",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_ni",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_oi",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_pi",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_qi",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_ri",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_si",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_ti",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_ui",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_vi",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_wi",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_xi",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_yi",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_zi",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_aj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_bj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_cj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_dj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_ej",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_fj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_gj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_hj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_ij",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_jj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_kj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_lj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_mj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_nj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_oj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_pj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_qj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_rj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_sj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_tj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_uj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_vj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_wj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_fi_result,
  Def.Model{
    Name= "actor_xj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP1,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_yj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_zj",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_ak",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_bk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_ck",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_dk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_ek",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_fk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_gk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_hk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_ik",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_jk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_kk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_lk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_mk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_nk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_ok",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_pk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_qk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_rk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_sk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_tk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_uk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_vk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_wk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_xk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_yk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_zk",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_al",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_bl",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_cl",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_dl",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_el",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_fl",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_gl",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_hl",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_il",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_jl",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_kl",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
  optional_actor(cond_gi_result,
  Def.Model{
    Name= "actor_ll",
    Bones= "arrow/arrowmesh.txt",
    InitCommand= cmd(zoom,0),
    Materials= "arrow/4th.txt",
    Meshes= "arrow/arrowmesh.txt",
    OnCommand= RegisterFakeArrowP2,
    ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  }),
}
