return Def.ActorFrame{
  Name= "actor_xe",
  Def.Quad{
    Name= "actor_ye",
    InitCommand= cmd(visible,true),
    OnCommand= cmd(sleep,1000),
  },
  Def.Sprite{
    Name= "actor_ze",
    OnCommand= cmd(diffusealpha,1;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-300;zoom,0.7;sleep,0.1;linear,7;addy,600;rotationz,-600;bob;effectmagnitude,30,0,0;effectperiod,4;effectclock,"bgm"),
    Texture= "s1.png",
  },
  Def.Sprite{
    Name= "actor_af",
    OnCommand= cmd(diffusealpha,1;x,SCREEN_CENTER_X-60;y,SCREEN_CENTER_Y-300;zoom,0.7;sleep,1.5;linear,8;addy,600;rotationz,500;bob;effectmagnitude,-30,0,0;effectperiod,4;effectclock,"bgm"),
    Texture= "s2.png",
  },
  Def.Sprite{
    Name= "actor_bf",
    OnCommand= cmd(diffusealpha,1;x,SCREEN_CENTER_X-200;y,SCREEN_CENTER_Y-300;zoom,0.7;sleep,2.3;linear,6;addy,600;rotationz,-900;bob;effectmagnitude,35,0,0;effectperiod,3;effectclock,"bgm"),
    Texture= "s3.png",
  },
  Def.Sprite{
    Name= "actor_cf",
    OnCommand= cmd(diffusealpha,1;x,SCREEN_CENTER_X+120;y,SCREEN_CENTER_Y-300;zoom,0.7;sleep,2.9;linear,7;addy,600;rotationz,700;bob;effectmagnitude,-50,0,0;effectperiod,5;effectclock,"bgm"),
    Texture= "s4.png",
  },
  Def.Sprite{
    Name= "actor_df",
    OnCommand= cmd(diffusealpha,1;x,SCREEN_CENTER_X+200;y,SCREEN_CENTER_Y-300;zoom,0.7;sleep,4.5;linear,6.5;addy,600;rotationz,800;bob;effectmagnitude,20,0,0;effectperiod,3;effectclock,"bgm"),
    Texture= "s5.png",
  },
  Def.Sprite{
    Name= "actor_ef",
    OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT;sleep,135.185;linear,1;diffusealpha,1;sleep,3;linear,1;diffusealpha,0),
    Texture= "black.png",
  },
  Def.Quad{
    Name= "actor_ff",
    InitCommand= cmd(visible,true),
    OnCommand= function(self)
				fgcurcommand = 1;
				self:queuecommand('Update');
			end,
    Update2Command= function(self)
			self:sleep(0.0166666666);
			self:queuecommand('Update');
		end,
    UpdateCommand= function(self)
			
			p1_options = GAMESTATE:GetPlayerState(0):GetPlayerOptions('ModsLevel_Song');
                        p2_options = GAMESTATE:GetPlayerState(1):GetPlayerOptions('ModsLevel_Song');                        
				if GAMESTATE:GetSongBeat()>=0.00 and fgcurcommand == 1 then
                                                --Need to hide things manually.
						SCREENMAN:GetTopScreen():GetChild('Overlay'):visible(false);
                                                SCREENMAN:GetTopScreen():GetChild('Underlay'):visible(false);--Might hide every UI element on some themes.
                                                if SCREENMAN:GetTopScreen():GetChild('BPMDisplay') then
                                                SCREENMAN:GetTopScreen():GetChild('BPMDisplay'):visible(false);
                                                end
                                                if SCREENMAN:GetTopScreen():GetChild('StageDisplay') then
                                                SCREENMAN:GetTopScreen():GetChild('StageDisplay'):visible(false);
                                                end
                                                if SCREENMAN:GetTopScreen():GetChild('SongTitle') then
                                                SCREENMAN:GetTopScreen():GetChild('SongTitle'):visible(false);
                                                end

					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
                                                --Hide player's song meter.
                                                if SCREENMAN:GetTopScreen():GetChild("SongMeterDisplay" .. PlayerNumberToString(0)) then
                                                SCREENMAN:GetTopScreen():GetChild("SongMeterDisplay" .. PlayerNumberToString(0)):visible(false);
                                                end
                                                --Hide player's step meter.
                                                if SCREENMAN:GetTopScreen():GetChild("StepsDisplay" .. PlayerNumberToString(0)) then
                                                SCREENMAN:GetTopScreen():GetChild("StepsDisplay" .. PlayerNumberToString(0)):visible(false);
                                                end
                                                --added sleep of 137 to judgment + combo to keep position.
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):x(SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):addx(-160);
                                                SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):sleep(137);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):addx(-160);
                                                SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):sleep(137);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):wag()
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,0,20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm')
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(6)
                                                p1_options:Cover(-1.00, 200, true):XMod(2, 2000, true):Reverse(0, 20000, true):Split(0, 20000);--*200 -100% cover,*2000 2x,*20000 No reverse,*20000 No Split
                                                p1_options:Alternate(0, 2000, true):Cross(0, 20000, true):Overhead(true, 2000);--*2000 No Alternate,*20000 No Cross,*2000 Overhead
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
                                                --Hide player's song meter.
                                                if SCREENMAN:GetTopScreen():GetChild("SongMeterDisplay" .. PlayerNumberToString(1)) then
                                                SCREENMAN:GetTopScreen():GetChild("SongMeterDisplay" .. PlayerNumberToString(1)):visible(false);
                                                end
                                                --Hide player's step meter.
                                                if SCREENMAN:GetTopScreen():GetChild("StepsDisplay" .. PlayerNumberToString(1)) then
                                                SCREENMAN:GetTopScreen():GetChild("StepsDisplay" .. PlayerNumberToString(1)):visible(false);
                                                end
                                                --added sleep of 137 to judgment + combo to keep position.

						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):x(SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):addx(160);
                                                SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):sleep(137);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):addx(160);
                                                SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):sleep(137);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):wag()
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,0,20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm')
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(6)
                                                p2_options:Cover(-1.00, 200, true):XMod(2, 2000, true):Reverse(0, 20000, true):Split(0, 20000);--*200 -100% cover,*2000 2x,*20000 No reverse,*20000 No Split
                                                p2_options:Alternate(0, 2000, true):Cross(0, 20000, true):Overhead(true, 2000);--*2000 No Alternate,*20000 No Cross,*2000 Overhead
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=66.00 and fgcurcommand == 2 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
                                                p1_options:XMod(0.7, 0.5);--*0.5 0.7x
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
                                                p2_options:XMod(0.7, 0.5);--*0.5 0.7x

					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=72.00 and fgcurcommand == 3 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Centered(2.5, 0.7);--*0.7 250% Centered
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Centered(2.5, 0.7);--*0.7 250% Centered
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=77.900 and fgcurcommand == 4 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Centered(0, 20000);--*20000 No Centered
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Centered(0, 20000);--*20000 No Centered
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=78.000 and fgcurcommand == 5 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Centered(2.5, 0.7);--*0.7 250% Centered
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Centered(2.5, 0.7);--*0.7 250% Centered
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=83.900 and fgcurcommand == 6 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Centered(0, 20000);--*20000 No Centered
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Centered(0, 20000);--*20000 No Centered
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=84.000 and fgcurcommand == 7 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Centered(2.5, 0.7);--*0.7 250% Centered
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Centered(2.5, 0.7);--*0.7 250% Centered
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=89.900 and fgcurcommand == 8 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Centered(0, 20000);--*20000 No Centered
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Centered(0, 20000);--*20000 No Centered
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=90.000 and fgcurcommand == 9 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Centered(2.5, 0.7);--*0.7 250% Centered
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Centered(2.5, 0.7);--*0.7 250% Centered
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=95.900 and fgcurcommand == 10 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Centered(0, 20000);--*20000 No Centered
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Centered(0, 20000);--*20000 No Centered
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=96.000 and fgcurcommand == 11 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Centered(2.5, 0.7);--*0.7 250% Centered
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Centered(2.5, 0.7);--*0.7 250% Centered
					end
					fgcurcommand = fgcurcommand + 1;
				end


				if GAMESTATE:GetSongBeat()>=101.900 and fgcurcommand == 12 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Centered(0, 20000);--*20000 No Centered
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Centered(0, 20000);--*20000 No Centered
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=102.000 and fgcurcommand == 13 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Centered(2.5, 0.7);--*0.7 250% Centered
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Centered(2.5, 0.7);--*0.7 250% Centered
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=107.900 and fgcurcommand == 14 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Centered(0, 20000);--*20000 No Centered
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Centered(0, 20000);--*20000 No Centered
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=108.000 and fgcurcommand == 15 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Centered(2.5, 0.7);--*0.7 250% Centered
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Centered(2.5, 0.7);--*0.7 250% Centered
					end
					fgcurcommand = fgcurcommand + 1;
				end


				if GAMESTATE:GetSongBeat()>=113.900 and fgcurcommand == 16 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Centered(0, 0.7);--*0.7 No Centered
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate()
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(10,10,0)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm')
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1)
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Centered(0, 0.7);--*0.7 No Centered
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate()
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(10,10,0)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm')
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1)
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=114.000 and fgcurcommand == 17 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:XMod(2, 0.7);--*0.7 2x
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:XMod(2, 0.7);--*0.7 2x
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=119.990 and fgcurcommand == 18 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect()
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect()
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=120.000 and fgcurcommand == 19 then

						SCREENMAN:GetTopScreen():bob()
						SCREENMAN:GetTopScreen():effectmagnitude(100,0,0)
						SCREENMAN:GetTopScreen():effectclock('bgm')
						SCREENMAN:GetTopScreen():effectperiod(6)

						SCREENMAN:GetTopScreen():GetChild('SongBackground'):bob()
						SCREENMAN:GetTopScreen():GetChild('SongBackground'):effectmagnitude(-100,0,0)
						SCREENMAN:GetTopScreen():GetChild('SongBackground'):effectclock('bgm')
						SCREENMAN:GetTopScreen():GetChild('SongBackground'):effectperiod(6)


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):bob()
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):effectmagnitude(-100,0,0)
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):effectclock('bgm')
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):effectperiod(6)
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):bob()
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):effectmagnitude(-100,0,0)
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):effectclock('bgm')
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):effectperiod(6)
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):bob()
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):effectmagnitude(-100,0,0)
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):effectclock('bgm')
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):effectperiod(6)
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):bob()
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):effectmagnitude(-100,0,0)
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):effectclock('bgm')
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):effectperiod(6)
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=144.000 and fgcurcommand == 20 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):wag()
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,0,20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm')
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(6)
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):wag()
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,0,20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm')
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(6)
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=191.999 and fgcurcommand == 21 then

						SCREENMAN:GetTopScreen():stopeffect()

						SCREENMAN:GetTopScreen():GetChild('SongBackground'):stopeffect()


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):stopeffect()
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):stopeffect()
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect()
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):stopeffect()
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):stopeffect()
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect()
					end
					fgcurcommand = fgcurcommand + 1;
				end


				if GAMESTATE:GetSongBeat()>=192.000 and fgcurcommand == 22 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Drunk(0.50, 1, true):Bumpy(1.50, 1, true):Dark(0.70, 200);--*1 50% Drunk,*1 150% Bumpy,*20 70% Dark
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce()
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(-20,20,0)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm')
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(0.2)
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Drunk(0.50, 1, true):Bumpy(1.50, 1, true):Dark(0.70, 200);--*1 50% Drunk,*1 150% Bumpy,*20 70% Dark
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bounce()
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(-20,20,0)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm')
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(0.2)
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=239.000 and fgcurcommand == 23 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

                                                p1_options:Drunk(0, 1, true):Bumpy(0, 1, true):Dark(0, 1);--*1 No Drunk,*1 No Bumpy,*1 No Dark
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect()
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Drunk(0, 1, true):Bumpy(0, 1, true):Dark(0, 1);--*1 No Drunk,*1 No Bumpy,*1 No Dark
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect()
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=257.000 and fgcurcommand == 24 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then

						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.09)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(-20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.09)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.09)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(-20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.09)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.09)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(-20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.09)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.09)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0)
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.09)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(-20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.09)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.09)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(-20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.09)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.09)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(-20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.09)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(20)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.09)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0)
					end
					fgcurcommand = fgcurcommand + 1;
				end


				if GAMESTATE:GetSongBeat()>=292.000 and fgcurcommand == 25 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
                                                --move up if we're high.
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):linear(2.5)
                                                if SCREENMAN:GetTopScreen():GetChild('ScoreP1'):GetY() < SCREEN_CENTER_Y then
                                                    SCREENMAN:GetTopScreen():GetChild('ScoreP1'):addy(-200);
                                                else--move down if we're low.
                                                    SCREENMAN:GetTopScreen():GetChild('ScoreP1'):addy(200);
                                                end
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):linear(2.5)
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):addx(-200)
                                                --Further offscreen for widescreen players.
                                                SCREENMAN:GetTopScreen():GetChild('LifeP1'):addx(-200)
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):linear(2.5)
						--move up if we're high.
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):linear(2.5)
                                                if SCREENMAN:GetTopScreen():GetChild('ScoreP2'):GetY() < SCREEN_CENTER_Y then
                                                    SCREENMAN:GetTopScreen():GetChild('ScoreP2'):addy(-200);
                                                else--move down if we're low.
                                                    SCREENMAN:GetTopScreen():GetChild('ScoreP2'):addy(200);
                                                end
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):linear(2.5)
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):addx(200)
                                                --Further offscreen for widescreen players.
                                                SCREENMAN:GetTopScreen():GetChild('LifeP2'):addx(200)
					end
					fgcurcommand = fgcurcommand + 1;
				end


				if GAMESTATE:GetSongBeat()>=295.00 and fgcurcommand == 26 then

						SCREENMAN:GetTopScreen():GetChild('SongBackground'):zoom(0);


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
                                        --addx -300 -> -460 (300 + 160), added sleep(50) to judgment + combo
                                        --Displace further by 110 (460->570, 300->410)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):addx(-560);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):addx(-560);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):sleep(5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):sleep(5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):decelerate(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):addx(410);
                                                SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):sleep(50);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):decelerate(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):addx(410);
                                                SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):sleep(50);


                                                p1_options:Dark(1.00, 200, true):Reverse(1, 100, true):Distant(1.50, 100);--*200 100% dark,*100 Reverse,*100 150% Distant
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
                                            --addx 300 -> 460 (300 + 160), added sleep(50) to judgment + combo
                                            --Displace further by 110 (460->570, 300->410)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):addx(560);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):addx(560);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):sleep(5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):sleep(5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):decelerate(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):addx(-410);
                                                SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):sleep(50);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):decelerate(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):addx(-410);
                                                SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):sleep(50);


                                                p2_options:Dark(1.00, 200, true):Reverse(1, 100, true):Distant(1.50, 100);--*200 100% dark,*100 Reverse,*100 150% Distant
					end
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=302.00 and fgcurcommand == 27 then


					if GAMESTATE:IsHumanPlayer(PLAYER_1) then


                                                p1_options:Dark(0.70, 1);--*1 70% Dark
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then

                                                p2_options:Dark(0.70, 1);--*1 70% Dark
					end
					fgcurcommand = fgcurcommand + 1;
				end


				
				
				self:queuecommand('Update2');
			
		end,
  },
}
