return Def.ActorFrame{
  Name= "actor_a",
  Def.ActorFrame{
    Name= "actor_b",
    OnCommand= cmd(sleep,12.388;zoom,0),
    Def.Sprite{
      Name= "actor_c",
      InitCommand= cmd(draworder,500;x,SCREEN_CENTER_X-256-120;vertalign,bottom;y,SCREEN_BOTTOM+256;zoom,2),
      OnCommand= cmd(rotationz,30;decelerate,0.387;addx,120;addy,-128;sleep,0.387;accelerate,0.387*2;x,SCREEN_CENTER_X+256+120;y,SCREEN_TOP-256;sleep,1.548;queuecommand,"Top"),
      Texture= "ice.png",
      TopCommand= cmd(rotationz,210;decelerate,0.387;addx,-120;addy,128;sleep,0.387;accelerate,0.387*2;x,SCREEN_CENTER_X-256-120;y,SCREEN_BOTTOM+256;sleep,1.548;queuecommand,"On"),
    },
    Def.Sprite{
      Name= "actor_d",
      InitCommand= cmd(draworder,500;x,SCREEN_CENTER_X-128-60;vertalign,bottom;y,SCREEN_BOTTOM+256;zoom,2),
      OnCommand= cmd(sleep,0.1;rotationz,15;decelerate,0.387;addx,60;addy,-128;sleep,0.387;accelerate,0.387*2;x,SCREEN_CENTER_X+128+60;y,SCREEN_TOP-256;sleep,1.548;queuecommand,"Top"),
      Texture= "ice.png",
      TopCommand= cmd(rotationz,195;decelerate,0.387;addx,-60;addy,128;sleep,0.387;accelerate,0.387*2;x,SCREEN_CENTER_X-128-60;y,SCREEN_BOTTOM+256;sleep,1.448;queuecommand,"On"),
    },
    Def.Sprite{
      Name= "actor_e",
      InitCommand= cmd(draworder,500;x,SCREEN_CENTER_X-0-0;vertalign,bottom;y,SCREEN_BOTTOM+256;zoom,2),
      OnCommand= cmd(sleep,0.2;rotationz,0;decelerate,0.387;addx,0;addy,-128;sleep,0.387;accelerate,0.387*2;x,SCREEN_CENTER_X+0+0;y,SCREEN_TOP-256;sleep,1.548;queuecommand,"Top"),
      Texture= "ice.png",
      TopCommand= cmd(rotationz,180;decelerate,0.387;addx,0;addy,128;sleep,0.387;accelerate,0.387*2;x,SCREEN_CENTER_X-0-0;y,SCREEN_BOTTOM+256;sleep,1.348;queuecommand,"On"),
    },
    Def.Sprite{
      Name= "actor_f",
      InitCommand= cmd(draworder,500;x,SCREEN_CENTER_X+128+60;vertalign,bottom;y,SCREEN_BOTTOM+256;zoom,2),
      OnCommand= cmd(sleep,0.3;rotationz,-15;decelerate,0.387;addx,-60;addy,-128;sleep,0.387;accelerate,0.387*2;x,SCREEN_CENTER_X-128-60;y,SCREEN_TOP-256;sleep,1.548;queuecommand,"Top"),
      Texture= "ice.png",
      TopCommand= cmd(rotationz,165;decelerate,0.387;addx,60;addy,128;sleep,0.387;accelerate,0.387*2;x,SCREEN_CENTER_X+128+60;y,SCREEN_BOTTOM+256;sleep,1.248;queuecommand,"On"),
    },
    Def.Sprite{
      Name= "actor_g",
      InitCommand= cmd(draworder,500;x,SCREEN_CENTER_X+256+120;vertalign,bottom;y,SCREEN_BOTTOM+256;zoom,2),
      OnCommand= cmd(sleep,0.4;rotationz,-30;decelerate,0.387;addx,-120;addy,-128;sleep,0.387;accelerate,0.387*2;x,SCREEN_CENTER_X-256-120;y,SCREEN_TOP-256;sleep,1.548;queuecommand,"Top"),
      Texture= "ice.png",
      TopCommand= cmd(rotationz,150;decelerate,0.387;addx,120;addy,128;sleep,0.387;accelerate,0.387*2;x,SCREEN_CENTER_X+256+120;y,SCREEN_BOTTOM+256;sleep,1.148;queuecommand,"On"),
    },
  },
  Def.ActorFrame{
    Name= "actor_h",--EffectClock,bgm and EffectPeriod don't work but effectclock,'bgm' and effectperiod does. -Kid.
    OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;rotationz,-90;wag;effectclock,'bgm';effectmagnitude,0,0,75;effectperiod,16),
    Def.Sprite{
      Name= "actor_i",
      OnCommand= cmd(draworder,1001;customtexturerect,0,0,1,1;texcoordvelocity,0.5,-0.25;zoomtowidth,SCREEN_WIDTH*1.5;zoomtoheight,SCREEN_HEIGHT*1.5;sleep,12.388;diffusealpha,0),
      Texture= "far.png",
    },
    Def.Sprite{
      Name= "actor_j",
      OnCommand= cmd(draworder,1001;customtexturerect,0,0,1,1;texcoordvelocity,1.0,-0.50;zoomtowidth,SCREEN_WIDTH*1.5;zoomtoheight,SCREEN_HEIGHT*1.5;sleep,12.388;diffusealpha,0),
      Texture= "med.png",
    },
    Def.Sprite{
      Name= "actor_k",
      OnCommand= cmd(draworder,1001;customtexturerect,0,0,1,1;texcoordvelocity,1.5,-0.75;zoomtowidth,SCREEN_WIDTH*1.5;zoomtoheight,SCREEN_HEIGHT*1.5;sleep,12.388;diffusealpha,0),
      Texture= "near.png",
    },
  },
  Def.Quad{
    Name= "actor_l",
    InitCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT;diffuse,color('#BFFFFFFF')),
    OnCommand= cmd(linear,0.25;diffuse,color('#BFFFFF00');sleep,12.138;diffuse,color('#FF0000FF');linear,0.2;diffuse,color('#FF000000')),
  },
}
