local cond_kb_result= GAMESTATE:IsPlayerEnabled(PLAYER_1)

local cond_lb_result= GAMESTATE:IsPlayerEnabled(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "actor_mb",
  Def.Sprite{
    Name= "actor_nb",--Make bg fill screen. Added zoom to width, modified x positioning. -Kid
    OnCommand= cmd(x,SCREEN_CENTER_X + -215;y,SCREEN_CENTER_Y + 0;zoomtowidth,SCREEN_WIDTH/2),
    Texture= "../graphics/bg_p1.png",--^ used to be SCREEN_CENTER_X + -160
  },
  Def.Sprite{
    Name= "actor_ob",--Make bg fill screen. Added zoom to width, modified x positioning. -Kid
    OnCommand= cmd(x,SCREEN_CENTER_X + 215;y,SCREEN_CENTER_Y + 0;zoomtowidth,SCREEN_WIDTH/2),
    Texture= "../graphics/bg_p2.png",--^ used to be SCREEN_CENTER_X + 160
  },
  optional_actor(cond_kb_result,
  Def.Sprite{
    Name= "actor_pb",
    Frames= {
      {Frame= 0, Delay= 0.0835631},
      {Frame= 1, Delay= 0.0835631},
      {Frame= 2, Delay= 0.0835631},
      {Frame= 3, Delay= 0.0835631},
      {Frame= 4, Delay= 0.0835631},
      {Frame= 5, Delay= 0.0835631},
      {Frame= 6, Delay= 0.0835631},
      {Frame= 7, Delay= 0.0835631},
      {Frame= 8, Delay= 0.0835631},
  },--It's centered with the player now. -Kid
    OnCommand= cmd(x,SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetX()-10;y,SCREEN_CENTER_Y + 48),
    Texture= "../graphics/Taro 3x3.png",
  }),
  optional_actor(cond_lb_result,
  Def.Sprite{
    Name= "actor_qb",
    Frames= {
      {Frame= 0, Delay= 0.0835631},
      {Frame= 1, Delay= 0.0835631},
      {Frame= 2, Delay= 0.0835631},
      {Frame= 3, Delay= 0.0835631},
      {Frame= 4, Delay= 0.0835631},
      {Frame= 5, Delay= 0.0835631},
      {Frame= 6, Delay= 0.0835631},
      {Frame= 7, Delay= 0.0835631},
      {Frame= 8, Delay= 0.0835631},
  },--It's centered with the player now. -Kid
    OnCommand= cmd(x,SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetX();y,SCREEN_CENTER_Y + 48),
    Texture= "../graphics/Taka 3x3.png",
  }),
}
