local cond_rb_result= GAMESTATE:IsPlayerEnabled(PLAYER_1)

local cond_sb_result= GAMESTATE:IsPlayerEnabled(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "actor_tb",
  Def.ActorFrame{
    Name= "actor_ub",
    OnCommand= cmd(bob;effectmagnitude,0,10,0;effectperiod,2;sleep,999),
    Def.Model{
      Name= "actor_vb",
      Bones= "../graphics/arrows/4th/4arrowmesh.txt",
      Materials= "../graphics/arrows/4th/4th.txt",
      Meshes= "../graphics/arrows/4th/4arrowmesh.txt",--Make it start offscreen and move through the whole screen
      OnCommand= cmd(x,SCREEN_CENTER_X + -460;y,SCREEN_CENTER_Y + 180;sleep,50.4;linear,13;x,SCREEN_CENTER_X + 460;y,SCREEN_CENTER_Y + -150;rotationx,-1440;rotationz,540),
    },
    Def.Model{
      Name= "actor_wb",
      Bones= "../graphics/arrows/8th/8arrowmesh.txt",
      Materials= "../graphics/arrows/8th/8th.txt",
      Meshes= "../graphics/arrows/8th/8arrowmesh.txt",
      OnCommand= cmd(x,SCREEN_CENTER_X + -50;y,SCREEN_CENTER_Y + 290;sleep,57.4;linear,8;x,SCREEN_CENTER_X + 40;y,SCREEN_CENTER_Y + -290;rotationx,-1440;rotationz,540),
    },
  },
  Def.ActorFrame{
    Name= "actor_xb",
    OnCommand= cmd(bob;effectmagnitude,10,20,0;effectperiod,3;sleep,999),
    Def.Model{
      Name= "actor_yb",
      Bones= "../graphics/arrows/4th/4arrowmesh.txt",
      Materials= "../graphics/arrows/4th/4th.txt",
      Meshes= "../graphics/arrows/4th/4arrowmesh.txt",--Make it start offscreen and move through the whole screen
      OnCommand= cmd(x,SCREEN_CENTER_X + 470;y,SCREEN_CENTER_Y + 240;sleep,55.4;linear,12;x,SCREEN_CENTER_X + -470;y,SCREEN_CENTER_Y + -120;rotationx,1440;rotationz,-540),
    },
    Def.Model{
      Name= "actor_zb",
      Bones= "../graphics/arrows/16th/16arrowmesh.txt",
      Materials= "../graphics/arrows/16th/16th.txt",
      Meshes= "../graphics/arrows/16th/16arrowmesh.txt",
      OnCommand= cmd(x,SCREEN_CENTER_X + 340;y,SCREEN_CENTER_Y + 290;sleep,66.4;linear,8;x,SCREEN_CENTER_X + 10;y,SCREEN_CENTER_Y + -290;rotationx,-720;rotationz,2520),
    },
  },
  Def.ActorFrame{
    Name= "actor_Ab",
    OnCommand= cmd(bob;effectmagnitude,-10,-20,0;effectperiod,3;sleep,999),
    Def.Model{
      Name= "actor_Bb",
      Bones= "../graphics/arrows/16th/16arrowmesh.txt",
      Materials= "../graphics/arrows/16th/16th.txt",
      Meshes= "../graphics/arrows/16th/16arrowmesh.txt",
      OnCommand= cmd(x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + 290;sleep,61.4;linear,8;x,SCREEN_CENTER_X + -40;y,SCREEN_CENTER_Y + -290;rotationx,-720;rotationz,-2520),
    },
  },
  Def.Quad{
    Name= "actor_Cb",
    InitCommand= function(self)
		
			Stage4Var_P1debounce = 0;
			Stage4Var_P2debounce = 0;
		
			function IsCurrentlyRolling(beat)
				if beat>=36 and beat<37 then return true end
				if beat>=38 and beat<39 then return true end
				if beat>=40 and beat<41.5 then return true end
				if beat>=44 and beat<45 then return true end
				if beat>=46 and beat<47.5 then return true end
				if beat>=36+16 and beat<37+16 then return true end
				if beat>=38+16 and beat<39+16 then return true end
				if beat>=40+16 and beat<41.5+16 then return true end
				if beat>=44+16 and beat<45+16 then return true end
				if beat>=46+16 and beat<47.5+16 then return true end
				if beat>=68 and beat<71 then return true end
				if beat>=76 and beat<78 then return true end
				if beat>=68+16 and beat<71+16 then return true end
				if beat>=76+16 and beat<78+16 then return true end
				--here we go again
				if beat>=196+36 and beat<196+37 then return true end
				if beat>=196+38 and beat<196+39 then return true end
				if beat>=196+40 and beat<196+41.5 then return true end
				if beat>=196+44 and beat<196+45 then return true end
				if beat>=196+46 and beat<196+47.5 then return true end
				if beat>=196+36+16 and beat<196+37+16 then return true end
				if beat>=196+38+16 and beat<196+39+16 then return true end
				if beat>=196+40+16 and beat<196+41.5+16 then return true end
				if beat>=196+44+16 and beat<196+45+16 then return true end
				if beat>=196+46+16 and beat<196+47.5+16 then return true end
				if beat>=196+68 and beat<196+71 then return true end
				if beat>=196+76 and beat<196+78 then return true end
				if beat>=196+68+16 and beat<196+71+16 then return true end
				if beat>=196+76+16 and beat<196+78+16 then return true end
				return false;
			end
		end,
    OnCommand= cmd(sleep,0;queuecommand,"Update"),
    UpdateCommand= function(self)
			if Stage4Var_P1debounce > 0 then Stage4Var_P1debounce = Stage4Var_P1debounce-0.02 end
			if Stage4Var_P2debounce > 0 then Stage4Var_P2debounce = Stage4Var_P2debounce-0.02 end
			self:sleep(0.02)
			self:queuecommand('Update');
		end,
  },
  Def.Sprite{
    Name= "actor_Db",
    InitCommand= cmd(x,SCREEN_CENTER_X;zoomtowidth,SCREEN_WIDTH;y,SCREEN_CENTER_Y + 460;cropright,0.5),
    NextSectionCommand= cmd(accelerate,0.75;y,SCREEN_CENTER_Y + -10;sleep,0.3;linear,0.6;diffusealpha,0.2;sleep,25;linear,0.6;diffusealpha,1;
		sleep,0.3;decelerate,1.5;y,SCREEN_CENTER_Y + 460;sleep,7.8;linear,0.376*7;addy,-100;queuecommand,"Restart"),
    OnCommand= cmd(playcommand,"Start";sleep,11.087-0.546;linear,0.376*7;addy,-100;queuecommand,"Update"),
    RestartCommand= function(self)
			--self:stoptweening();
			Stage4Var_P1step = 0;
			Stage4Var_P1water = 0;
			Stage4Var_P1wlevel = 600;
			self:sleep(0.1);
			self:queuecommand('Update');
		end,
    StartCommand= function(self)
			--self:stoptweening();
			self:sleep(0);
			Stage4Var_P1step = 0;
			Stage4Var_P1tstep = 0;
			Stage4Var_P1water = 0;
			Stage4Var_P1wlevel = 0;
			Stage4Var_P1HurryUp = false;
		end,
    StepP1MessageCommand= function(self)
			if IsCurrentlyRolling(GAMESTATE:GetSongBeat()) and Stage4Var_P1debounce <= 0 then
				--self:stoptweening();
				self:sleep(0);
				Stage4Var_P1step = Stage4Var_P1step+1;
				Stage4Var_P1tstep = Stage4Var_P1tstep+1;
				--GAMESTATE:ApplyGameCommand('mod,10x',1); JESUS H CHRIST DID YOU SEE THAT
				Stage4Var_P1debounce = 0.05;
			end
		end,
    Texture= "../graphics/waterlevel 4x1.PNG",
    Update2Command= function(self)
		
			if GAMESTATE:GetSongBeat()<96 then
				Stage4Var_P1water = Stage4Var_P1water+1.2;
				Stage4Var_P1wlevel = 600-Stage4Var_P1water+(Stage4Var_P1step*7);
			end
			if GAMESTATE:GetSongBeat()>=96 and GAMESTATE:GetSongBeat()<123.5 then
				Stage4Var_P1water = Stage4Var_P1water+0.6;
				Stage4Var_P1wlevel = 600-Stage4Var_P1water+(Stage4Var_P1step*7);
			end
			if GAMESTATE:GetSongBeat()>=232 and GAMESTATE:GetSongBeat()<292 then
				Stage4Var_P1water = Stage4Var_P1water+2.5;
				                                Stage4Var_P1wlevel = 600-Stage4Var_P1water+(Stage4Var_P1step*11);
			end
			if GAMESTATE:GetSongBeat()>=292 then
				Stage4Var_P1water = Stage4Var_P1water+0.6;
				Stage4Var_P1wlevel = 600-Stage4Var_P1water+(Stage4Var_P1step*11);
			end
			
			Stage4Var_P1wlevel = 600-Stage4Var_P1water+(Stage4Var_P1step*7);
			--self:stoptweening();
			self:linear(0.05);
			if GAMESTATE:GetSongBeat()<123.5 or GAMESTATE:GetSongBeat()>125 then
				if Stage4Var_P1wlevel>250 and Stage4Var_P1wlevel<700 then
					self:y(Stage4Var_P1wlevel);
				else
					if Stage4Var_P1wlevel>700 then
						Stage4Var_P1water = Stage4Var_P1water+1.2;
						self:y(700);
					else
						Stage4Var_P1water = Stage4Var_P1water-1.2;
						self:y(250);
					end
				end
				self:queuecommand('Update');
			else
				self:queuecommand('NextSection');
			end
		end,
    UpdateCommand= function(self)
		
			if GAMESTATE:GetSongBeat()<96 then
				Stage4Var_P1water = Stage4Var_P1water+1.2;
				Stage4Var_P1wlevel = 600-Stage4Var_P1water+(Stage4Var_P1step*7);
			end
			if GAMESTATE:GetSongBeat()>=96 and GAMESTATE:GetSongBeat()<123.5 then
				Stage4Var_P1water = Stage4Var_P1water+0.6;
				Stage4Var_P1wlevel = 600-Stage4Var_P1water+(Stage4Var_P1step*7);
			end
			if GAMESTATE:GetSongBeat()>=232 and GAMESTATE:GetSongBeat()<292 then
				Stage4Var_P1water = Stage4Var_P1water+2.5;
				Stage4Var_P1wlevel = 600-Stage4Var_P1water+(Stage4Var_P1step*11);
			end
			if GAMESTATE:GetSongBeat()>=292 then
				Stage4Var_P1water = Stage4Var_P1water+0.8;
				Stage4Var_P1wlevel = 600-Stage4Var_P1water+(Stage4Var_P1step*11);
			end
			
			if Stage4Var_P1wlevel<350 and not Stage4Var_P1HurryUp then
				MESSAGEMAN:Broadcast('HurryUp1');
				Stage4Var_P1HurryUp = true;
			end
			
			--self:stoptweening();
			self:linear(0.05);
			if GAMESTATE:GetSongBeat()<123.5 or GAMESTATE:GetSongBeat()>125 then
				if Stage4Var_P1wlevel>250 and Stage4Var_P1wlevel<700 then
					self:y(Stage4Var_P1wlevel);
				else
					if Stage4Var_P1wlevel>700 then
						Stage4Var_P1water = Stage4Var_P1water+1.2;
						self:y(700);
					else
						Stage4Var_P1water = Stage4Var_P1water-1.2;
						self:y(250);
					end
				end
				self:queuecommand('Update');
			else
				self:queuecommand('NextSection');
			end
		end,
  },
  Def.Sprite{
    Name= "actor_Eb",
    InitCommand= cmd(x,SCREEN_CENTER_X;zoomtowidth,SCREEN_WIDTH;y,SCREEN_CENTER_Y + 460;cropleft,0.5),
    NextSectionCommand= cmd(accelerate,0.75;y,SCREEN_CENTER_Y + -10;sleep,0.3;linear,0.6;diffusealpha,0.2;sleep,25;linear,0.6;diffusealpha,1;
		sleep,0.3;decelerate,1.5;y,SCREEN_CENTER_Y + 460;sleep,7.8;linear,0.376*7;addy,-100;queuecommand,"Restart"),
    OnCommand= cmd(playcommand,"Start";sleep,11.087-0.546;linear,0.376*7;addy,-100;queuecommand,"Update"),
    RestartCommand= function(self)
			--self:stoptweening();
			Stage4Var_P2step = 0;
			Stage4Var_P2water = 0;
			Stage4Var_P2wlevel = 600;
			self:sleep(0.1);
			self:queuecommand('Update');
		end,
    StartCommand= function(self)
			--self:stoptweening();
			self:sleep(0);
			Stage4Var_P2step = 0;
			Stage4Var_P2tstep = 0;
			Stage4Var_P2water = 0;
			Stage4Var_P2wlevel = 0;
			Stage4Var_P2HurryUp = false;
		end,
    StepP2MessageCommand= function(self)
			if IsCurrentlyRolling(GAMESTATE:GetSongBeat()) and Stage4Var_P2debounce <= 0  then
				--self:stoptweening();
				self:sleep(0);
				Stage4Var_P2step = Stage4Var_P2step+1;
				Stage4Var_P2tstep = Stage4Var_P2tstep+1;
				Stage4Var_P2debounce = 0.05
			end
		end,
    Texture= "../graphics/waterlevel 4x1.PNG",
    Update2Command= function(self)
		
			if GAMESTATE:GetSongBeat()<96 then
				Stage4Var_P2water = Stage4Var_P2water+1.2;
				Stage4Var_P2wlevel = 600-Stage4Var_P2water+(Stage4Var_P2step*7);
			end
			if GAMESTATE:GetSongBeat()>=96 and GAMESTATE:GetSongBeat()<123.5 then
				Stage4Var_P2water = Stage4Var_P2water+0.6;
				Stage4Var_P2wlevel = 600-Stage4Var_P2water+(Stage4Var_P2step*7);
			end
			if GAMESTATE:GetSongBeat()>=232 and GAMESTATE:GetSongBeat()<292 then
				Stage4Var_P2water = Stage4Var_P2water+2.5;
				Stage4Var_P2wlevel = 600-Stage4Var_P2water+(Stage4Var_P2step*11);
			end
			if GAMESTATE:GetSongBeat()>=292 then
				Stage4Var_P2water = Stage4Var_P2water+0.6;
				Stage4Var_P2wlevel = 600-Stage4Var_P2water+(Stage4Var_P2step*11);
			end
			
			Stage4Var_P2wlevel = 600-Stage4Var_P2water+(Stage4Var_P2step*7);
			--self:stoptweening();
			self:linear(0.05);
			if GAMESTATE:GetSongBeat()<123.5 or GAMESTATE:GetSongBeat()>125 then
				if Stage4Var_P2wlevel>250 and Stage4Var_P2wlevel<700 then
					self:y(Stage4Var_P2wlevel);
				else
					if Stage4Var_P2wlevel>700 then
						Stage4Var_P2water = Stage4Var_P2water+1.2;
						self:y(700);
					else
						Stage4Var_P2water = Stage4Var_P2water-1.2;
						self:y(250);
					end
				end
				self:queuecommand('Update');
			else
				self:queuecommand('NextSection');
			end
		end,
    UpdateCommand= function(self)
		
			if GAMESTATE:GetSongBeat()<96 then
				Stage4Var_P2water = Stage4Var_P2water+1.2;
				Stage4Var_P2wlevel = 600-Stage4Var_P2water+(Stage4Var_P2step*7);
			end
			if GAMESTATE:GetSongBeat()>=96 and GAMESTATE:GetSongBeat()<123.5 then
				Stage4Var_P2water = Stage4Var_P2water+0.6;
				Stage4Var_P2wlevel = 600-Stage4Var_P2water+(Stage4Var_P2step*7);
			end
			if GAMESTATE:GetSongBeat()>=232 and GAMESTATE:GetSongBeat()<292 then
				Stage4Var_P2water = Stage4Var_P2water+2.5;
				Stage4Var_P2wlevel = 600-Stage4Var_P2water+(Stage4Var_P2step*11);
			end
			if GAMESTATE:GetSongBeat()>=292 then
				Stage4Var_P2water = Stage4Var_P2water+0.8;
				Stage4Var_P2wlevel = 600-Stage4Var_P2water+(Stage4Var_P2step*11);
			end
			
			if Stage4Var_P2wlevel<350 and not Stage4Var_P2HurryUp then
				MESSAGEMAN:Broadcast('HurryUp2');
				Stage4Var_P2HurryUp = true;
			end
			
			--self:stoptweening();
			self:linear(0.05);
			if GAMESTATE:GetSongBeat()<123.5 or GAMESTATE:GetSongBeat()>125 then
				if Stage4Var_P2wlevel>250 and Stage4Var_P2wlevel<700 then
					self:y(Stage4Var_P2wlevel);
				else
					if Stage4Var_P2wlevel>700 then
						Stage4Var_P2water = Stage4Var_P2water+1.2;
						self:y(700);
					else
						Stage4Var_P2water = Stage4Var_P2water-1.2;
						self:y(250);
					end
				end
				self:queuecommand('Update');
			else
				self:queuecommand('NextSection');
			end
		end,
  },
  optional_actor(cond_rb_result,
  Def.BitmapText{
    Name= "actor_Fb",
    EndingCommand= cmd(linear,1;diffusealpha,1),
    Font= "_eurostile outline",
    OnCommand= cmd(diffusealpha,0;shadowlength,0;draworder,9999;x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + 60;queuecommand,"Update"),
    Text= "@(600)",
    Update2Command= function(self)
			self:sleep(0.1);
			self:settext(Stage4Var_P1tstep);
			self:queuecommand('Update');
			if GAMESTATE:GetSongBeat()>328 then
				if Stage4Var_P1tstep>Stage4Var_P2tstep then
					self:rainbow();
				end
				self:queuecommand('Ending');
			end
		end,
    UpdateCommand= function(self)
			self:sleep(0.1);
			self:settext(Stage4Var_P1tstep);
			self:queuecommand('Update2');
		end,
  }),
  optional_actor(cond_sb_result,
  Def.BitmapText{
    Name= "actor_ac",
    EndingCommand= cmd(linear,1;diffusealpha,1),
    Font= "_eurostile outline",
    OnCommand= cmd(diffusealpha,0;shadowlength,0;draworder,9999;x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 60;queuecommand,"Update"),
    Text= "@(600)",
    Update2Command= function(self)
			self:sleep(0.1);
			self:settext(Stage4Var_P2tstep);
			self:queuecommand('Update');
			if GAMESTATE:GetSongBeat()>328 then
				if Stage4Var_P2tstep>Stage4Var_P1tstep then
					self:rainbow();
				end
				self:queuecommand('Ending');
			end
		end,
    UpdateCommand= function(self)
			self:sleep(0.1);
			self:settext(Stage4Var_P2tstep);
			self:queuecommand('Update2');
		end,
  }),
  optional_actor(cond_rb_result,
  Def.BitmapText{
    Name= "actor_bc",
    Font= "_eurostile outline",
    OnCommand= cmd(diffusealpha,0;shadowlength,0;draworder,9999;x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + 40;zoom,0.5;sleep,124.1;linear,1;diffusealpha,0.8),
    Text= "(water score)",
  }),
  optional_actor(cond_sb_result,
  Def.BitmapText{
    Name= "actor_cc",
    Font= "_eurostile outline",
    OnCommand= cmd(diffusealpha,0;shadowlength,0;draworder,9999;x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 40;zoom,0.5;sleep,124.1;linear,1;diffusealpha,0.8),
    Text= "(water score)",
  }),
  Def.Sprite{
    Name= "actor_dc",
    OnCommand= cmd(draworder,9999;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + -240;vertalign,top;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT;sleep,999;linear,1;diffusealpha,0),
    Texture= "../graphics/line.png",
  },
}
